body {
  font-family: 'Raleway', sans-serif;
  display: flex;
  flex-direction: row;
  height: 100vh;
  overflow: clip;
  margin: 0;
}

a {
  color: inherit;
}

a:focus {
  outline: none;
}

span.line {
  display: inline-block;
}

h1, h2, h3, h4, h5, h6 {
  font-family: 'Montserrat', sans-serif;
}

h1.post-title {
  font-size: xx-large;
}

h1.post-title small {
  font-size: large;
  color: darkgray;
}

h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
  padding-top: 1rem;
  text-decoration: none;
}

h1 a:link::before, h2 a:link::before, h3 a:link::before, h4 a:link::before, h5 a:link::before, h6 a:link::before {
  content: '# ';
}

h1 a:focus::before, h2 a:focus::before, h3 a:focus::before, h4 a:focus::before, h5 a:focus::before, h6 a:focus::before {
  content: '>> ';
}

h1 a:hover, h2 a:hover, h3 a:hover, h4 a:hover, h5 a:hover, h6 a:hover {
  text-decoration: underline;
}

h1 {
  margin-top: 4rem;
}

h2 {
  font-size: medium;
  margin-top: 2rem;
}

img {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

main {
  flex-grow: 1;
  padding-left: 1rem;
  padding-right: 1rem;
  overflow-y: scroll;
}

footer {
  display: none;
  padding: 1rem;
}

nav > ol {
  list-style: none;
  margin: 0;
  padding: 0;
}

nav > ol > li {
  margin-bottom: 0.5rem;
  white-space: nowrap;
}

nav a {
  text-decoration: none;
}

nav a:hover {
  text-decoration: underline;
}

article {
  max-width: 720px;
  margin-bottom: 8rem;
}

.codehilite {
  background: whitesmoke;
  border: 1px solid darkgray;
  border-radius: 0.5rem;
  padding-left: 1rem;
  padding-right: 1rem;
  margin-bottom: 0.5rem;
  overflow-x: auto;
}

@media screen and (min-width: 600px) {
  footer {
    display: unset;
  }
}